### Hierarchy

- EventEmitter
  - Process

## Index

### Properties

- allowedNodeEnvironmentFlags
- arch
- argv
- argv0
- config
- connected
- debugPort
- domain
- env
- execArgv
- execPath
- exitCode
- features
- hrtime
- mainModule
- pid
- platform
- ppid
- release
- stderr
- stdin
- stdout
- title
- version
- versions

### Methods

- abort
- addListener
- chdir
- cpuUsage
- cwd
- disconnect
- emit
- emitWarning
- eventNames
- exit
- getMaxListeners
- getegid
- geteuid
- getgid
- getgroups
- getuid
- hasUncaughtExceptionCaptureCallback
- kill
- listenerCount
- listeners
- memoryUsage
- nextTick
- off
- on
- once
- openStdin
- prependListener
- prependOnceListener
- rawListeners
- removeAllListeners
- removeListener
- send
- setMaxListeners
- setUncaughtExceptionCaptureCallback
- setegid
- seteuid
- setgid
- setgroups
- setuid
- umask
- uptime

## Properties

### allowedNodeEnvironmentFlags

allowedNodeEnvironmentFlags: ReadonlySet<string>

- Defined in node_modules/@types/node/globals.d.ts:839

The `process.allowedNodeEnvironmentFlags` property is a special, read-only `Set` of flags allowable within the [`NODE_OPTIONS`][] environment variable.

### arch

arch: string

- Defined in node_modules/@types/node/globals.d.ts:804

### argv

argv: string[]

- Defined in node_modules/@types/node/globals.d.ts:748

### argv0

argv0: string

- Defined in node_modules/@types/node/globals.d.ts:749

### config

config: object

- Defined in node_modules/@types/node/globals.d.ts:774

#### Type declaration

- ##### target_defaults: object

  - ##### cflags: any[]

  - ##### default_configuration: string

  - ##### defines: string[]

  - ##### include_dirs: string[]

  - ##### libraries: string[]

- ##### variables: object

  - ##### clang: number

  - ##### host_arch: string

  - ##### node_install_npm: boolean

  - ##### node_install_waf: boolean

  - ##### node_prefix: string

  - ##### node_shared_openssl: boolean

  - ##### node_shared_v8: boolean

  - ##### node_shared_zlib: boolean

  - ##### node_use_dtrace: boolean

  - ##### node_use_etw: boolean

  - ##### node_use_openssl: boolean

  - ##### target_arch: string

  - ##### v8_no_strict_aliasing: number

  - ##### v8_use_snapshot: boolean

  - ##### visibility: string

### connected

connected: boolean

- Defined in node_modules/@types/node/globals.d.ts:832

### debugPort

debugPort: number

- Defined in node_modules/@types/node/globals.d.ts:755

### domain

domain: Domain

- Defined in node_modules/@types/node/globals.d.ts:827

### env

env: ProcessEnv

- Defined in node_modules/@types/node/globals.d.ts:757

### execArgv

execArgv: string[]

- Defined in node_modules/@types/node/globals.d.ts:750

### execPath

execPath: string

- Defined in node_modules/@types/node/globals.d.ts:751

### exitCode

exitCode: number

- Defined in node_modules/@types/node/globals.d.ts:759

### features

features: object

- Defined in node_modules/@types/node/globals.d.ts:811

#### Type declaration

- ##### debug: boolean

- ##### inspector: boolean

- ##### ipv6: boolean

- ##### tls: boolean

- ##### tls_alpn: boolean

- ##### tls_ocsp: boolean

- ##### tls_sni: boolean

- ##### uv: boolean

### hrtime

hrtime: HRTime

- Defined in node_modules/@types/node/globals.d.ts:826

### Optional mainModule

mainModule: NodeModule

- Defined in node_modules/@types/node/globals.d.ts:806

### pid

pid: number

- Defined in node_modules/@types/node/globals.d.ts:801

### platform

platform: Platform

- Defined in node_modules/@types/node/globals.d.ts:805

### ppid

ppid: number

- Defined in node_modules/@types/node/globals.d.ts:802

### release

release: ProcessRelease

- Defined in node_modules/@types/node/globals.d.ts:810

### stderr

stderr: WriteStream

- Defined in node_modules/@types/node/globals.d.ts:745

Can also be a tty.WriteStream, not typed due to limitation.s

### stdin

stdin: ReadStream

- Defined in node_modules/@types/node/globals.d.ts:746

### stdout

stdout: WriteStream

- Defined in node_modules/@types/node/globals.d.ts:741

Can also be a tty.WriteStream, not typed due to limitation.s

### title

title: string

- Defined in node_modules/@types/node/globals.d.ts:803

### version

version: string

- Defined in node_modules/@types/node/globals.d.ts:772

### versions

versions: ProcessVersions

- Defined in node_modules/@types/node/globals.d.ts:773

## Methods

### abort

- abort(): void

- - Defined in node_modules/@types/node/globals.d.ts:752

  #### Returns void

### addListener

- addListener(event: "beforeExit", listener: BeforeExitListener): this
- addListener(event: "disconnect", listener: DisconnectListener): this
- addListener(event: "exit", listener: ExitListener): this
- addListener(event: "rejectionHandled", listener: RejectionHandledListener): this
- addListener(event: "uncaughtException", listener: UncaughtExceptionListener): this
- addListener(event: "unhandledRejection", listener: UnhandledRejectionListener): this
- addListener(event: "warning", listener: WarningListener): this
- addListener(event: "message", listener: MessageListener): this
- addListener(event: Signals, listener: SignalsListener): this
- addListener(event: "newListener", listener: NewListenerListener): this
- addListener(event: "removeListener", listener: RemoveListenerListener): this
- addListener(event: "multipleResolves", listener: MultipleResolveListener): this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/globals.d.ts:855

  EventEmitter

  1. beforeExit
  2. disconnect
  3. exit
  4. message
  5. rejectionHandled
  6. uncaughtException
  7. unhandledRejection
  8. warning
  9. message
     11. newListener/removeListener inherited from EventEmitter

  #### Parameters

  - ##### event: "beforeExit"

  - ##### listener: BeforeExitListener

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/globals.d.ts:856

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: DisconnectListener

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/globals.d.ts:857

  #### Parameters

  - ##### event: "exit"

  - ##### listener: ExitListener

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/globals.d.ts:858

  #### Parameters

  - ##### event: "rejectionHandled"

  - ##### listener: RejectionHandledListener

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/globals.d.ts:859

  #### Parameters

  - ##### event: "uncaughtException"

  - ##### listener: UncaughtExceptionListener

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/globals.d.ts:860

  #### Parameters

  - ##### event: "unhandledRejection"

  - ##### listener: UnhandledRejectionListener

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/globals.d.ts:861

  #### Parameters

  - ##### event: "warning"

  - ##### listener: WarningListener

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/globals.d.ts:862

  #### Parameters

  - ##### event: "message"

  - ##### listener: MessageListener

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/globals.d.ts:863

  #### Parameters

  - ##### event: Signals

  - ##### listener: SignalsListener

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/globals.d.ts:864

  #### Parameters

  - ##### event: "newListener"

  - ##### listener: NewListenerListener

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/globals.d.ts:865

  #### Parameters

  - ##### event: "removeListener"

  - ##### listener: RemoveListenerListener

  #### Returns this

- Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/globals.d.ts:866

  #### Parameters

  - ##### event: "multipleResolves"

  - ##### listener: MultipleResolveListener

  #### Returns this

### chdir

- chdir(directory: string): void

- - Defined in node_modules/@types/node/globals.d.ts:753

  #### Parameters

  - ##### directory: string

  #### Returns void

### cpuUsage

- cpuUsage(previousValue?: CpuUsage): CpuUsage

- - Defined in node_modules/@types/node/globals.d.ts:808

  #### Parameters

  - ##### Optional previousValue: CpuUsage

  #### Returns CpuUsage

### cwd

- cwd(): string

- - Defined in node_modules/@types/node/globals.d.ts:754

  #### Returns string

### disconnect

- disconnect(): void

- - Defined in node_modules/@types/node/globals.d.ts:831

  #### Returns void

### emit

- emit(event: "beforeExit", code: number): boolean
- emit(event: "disconnect"): boolean
- emit(event: "exit", code: number): boolean
- emit(event: "rejectionHandled", promise: Promise<any>): boolean
- emit(event: "uncaughtException", error: Error): boolean
- emit(event: "unhandledRejection", reason: any, promise: Promise<any>): boolean
- emit(event: "warning", warning: Error): boolean
- emit(event: "message", message: any, sendHandle: any): this
- emit(event: Signals, signal: Signals): boolean
- emit(event: "newListener", eventName: string | symbol, listener: function): this
- emit(event: "removeListener", eventName: string, listener: function): this
- emit(event: "multipleResolves", listener: MultipleResolveListener): this

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/globals.d.ts:868

  #### Parameters

  - ##### event: "beforeExit"

  - ##### code: number

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/globals.d.ts:869

  #### Parameters

  - ##### event: "disconnect"

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/globals.d.ts:870

  #### Parameters

  - ##### event: "exit"

  - ##### code: number

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/globals.d.ts:871

  #### Parameters

  - ##### event: "rejectionHandled"

  - ##### promise: Promise<any>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/globals.d.ts:872

  #### Parameters

  - ##### event: "uncaughtException"

  - ##### error: Error

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/globals.d.ts:873

  #### Parameters

  - ##### event: "unhandledRejection"

  - ##### reason: any

  - ##### promise: Promise<any>

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/globals.d.ts:874

  #### Parameters

  - ##### event: "warning"

  - ##### warning: Error

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/globals.d.ts:875

  #### Parameters

  - ##### event: "message"

  - ##### message: any

  - ##### sendHandle: any

  #### Returns this

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/globals.d.ts:876

  #### Parameters

  - ##### event: Signals

  - ##### signal: Signals

  #### Returns boolean

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/globals.d.ts:877

  #### Parameters

  - ##### event: "newListener"

  - ##### eventName: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/globals.d.ts:878

  #### Parameters

  - ##### event: "removeListener"

  - ##### eventName: string

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

- Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/globals.d.ts:879

  #### Parameters

  - ##### event: "multipleResolves"

  - ##### listener: MultipleResolveListener

  #### Returns this

### emitWarning

- emitWarning(warning: string | Error, name?: undefined | string, ctor?: Function): void

- - Defined in node_modules/@types/node/globals.d.ts:756

  #### Parameters

  - ##### warning: string | Error

  - ##### Optional name: undefined | string

  - ##### Optional ctor: Function

  #### Returns void

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  - Defined in node_modules/@types/node/globals.d.ts:594

  #### Returns Array<string | symbol>

### exit

- exit(code?: undefined | number): never

- - Defined in node_modules/@types/node/globals.d.ts:758

  #### Parameters

  - ##### Optional code: undefined | number

  #### Returns never

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/globals.d.ts:586

  #### Returns number

### getegid

- getegid(): number

- - Defined in node_modules/@types/node/globals.d.ts:766

  #### Returns number

### geteuid

- geteuid(): number

- - Defined in node_modules/@types/node/globals.d.ts:764

  #### Returns number

### getgid

- getgid(): number

- - Defined in node_modules/@types/node/globals.d.ts:760

  #### Returns number

### getgroups

- getgroups(): number[]

- - Defined in node_modules/@types/node/globals.d.ts:768

  #### Returns number[]

### getuid

- getuid(): number

- - Defined in node_modules/@types/node/globals.d.ts:762

  #### Returns number

### hasUncaughtExceptionCaptureCallback

- hasUncaughtExceptionCaptureCallback(): boolean

- - Defined in node_modules/@types/node/globals.d.ts:771

  #### Returns boolean

### kill

- kill(pid: number, signal?: string | number): void

- - Defined in node_modules/@types/node/globals.d.ts:800

  #### Parameters

  - ##### pid: number

  - ##### Optional signal: string | number

  #### Returns void

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/globals.d.ts:590

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: "beforeExit"): BeforeExitListener[]
- listeners(event: "disconnect"): DisconnectListener[]
- listeners(event: "exit"): ExitListener[]
- listeners(event: "rejectionHandled"): RejectionHandledListener[]
- listeners(event: "uncaughtException"): UncaughtExceptionListener[]
- listeners(event: "unhandledRejection"): UnhandledRejectionListener[]
- listeners(event: "warning"): WarningListener[]
- listeners(event: "message"): MessageListener[]
- listeners(event: Signals): SignalsListener[]
- listeners(event: "newListener"): NewListenerListener[]
- listeners(event: "removeListener"): RemoveListenerListener[]
- listeners(event: "multipleResolves"): MultipleResolveListener[]

- Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:933

  #### Parameters

  - ##### event: "beforeExit"

  #### Returns BeforeExitListener[]

- Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:934

  #### Parameters

  - ##### event: "disconnect"

  #### Returns DisconnectListener[]

- Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:935

  #### Parameters

  - ##### event: "exit"

  #### Returns ExitListener[]

- Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:936

  #### Parameters

  - ##### event: "rejectionHandled"

  #### Returns RejectionHandledListener[]

- Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:937

  #### Parameters

  - ##### event: "uncaughtException"

  #### Returns UncaughtExceptionListener[]

- Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:938

  #### Parameters

  - ##### event: "unhandledRejection"

  #### Returns UnhandledRejectionListener[]

- Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:939

  #### Parameters

  - ##### event: "warning"

  #### Returns WarningListener[]

- Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:940

  #### Parameters

  - ##### event: "message"

  #### Returns MessageListener[]

- Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:941

  #### Parameters

  - ##### event: Signals

  #### Returns SignalsListener[]

- Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:942

  #### Parameters

  - ##### event: "newListener"

  #### Returns NewListenerListener[]

- Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:943

  #### Parameters

  - ##### event: "removeListener"

  #### Returns RemoveListenerListener[]

- Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:944

  #### Parameters

  - ##### event: "multipleResolves"

  #### Returns MultipleResolveListener[]

### memoryUsage

- memoryUsage(): MemoryUsage

- - Defined in node_modules/@types/node/globals.d.ts:807

  #### Returns MemoryUsage

### nextTick

- nextTick(callback: Function, ...args: any[]): void

- - Defined in node_modules/@types/node/globals.d.ts:809

  #### Parameters

  - ##### callback: Function

  - ##### Rest ...args: any[]

  #### Returns void

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  - Defined in node_modules/@types/node/globals.d.ts:583

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: "beforeExit", listener: BeforeExitListener): this
- on(event: "disconnect", listener: DisconnectListener): this
- on(event: "exit", listener: ExitListener): this
- on(event: "rejectionHandled", listener: RejectionHandledListener): this
- on(event: "uncaughtException", listener: UncaughtExceptionListener): this
- on(event: "unhandledRejection", listener: UnhandledRejectionListener): this
- on(event: "warning", listener: WarningListener): this
- on(event: "message", listener: MessageListener): this
- on(event: Signals, listener: SignalsListener): this
- on(event: "newListener", listener: NewListenerListener): this
- on(event: "removeListener", listener: RemoveListenerListener): this
- on(event: "multipleResolves", listener: MultipleResolveListener): this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/globals.d.ts:881

  #### Parameters

  - ##### event: "beforeExit"

  - ##### listener: BeforeExitListener

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/globals.d.ts:882

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: DisconnectListener

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/globals.d.ts:883

  #### Parameters

  - ##### event: "exit"

  - ##### listener: ExitListener

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/globals.d.ts:884

  #### Parameters

  - ##### event: "rejectionHandled"

  - ##### listener: RejectionHandledListener

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/globals.d.ts:885

  #### Parameters

  - ##### event: "uncaughtException"

  - ##### listener: UncaughtExceptionListener

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/globals.d.ts:886

  #### Parameters

  - ##### event: "unhandledRejection"

  - ##### listener: UnhandledRejectionListener

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/globals.d.ts:887

  #### Parameters

  - ##### event: "warning"

  - ##### listener: WarningListener

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/globals.d.ts:888

  #### Parameters

  - ##### event: "message"

  - ##### listener: MessageListener

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/globals.d.ts:889

  #### Parameters

  - ##### event: Signals

  - ##### listener: SignalsListener

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/globals.d.ts:890

  #### Parameters

  - ##### event: "newListener"

  - ##### listener: NewListenerListener

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/globals.d.ts:891

  #### Parameters

  - ##### event: "removeListener"

  - ##### listener: RemoveListenerListener

  #### Returns this

- Overrides EventEmitter.on

  - Defined in node_modules/@types/node/globals.d.ts:892

  #### Parameters

  - ##### event: "multipleResolves"

  - ##### listener: MultipleResolveListener

  #### Returns this

### once

- once(event: "beforeExit", listener: BeforeExitListener): this
- once(event: "disconnect", listener: DisconnectListener): this
- once(event: "exit", listener: ExitListener): this
- once(event: "rejectionHandled", listener: RejectionHandledListener): this
- once(event: "uncaughtException", listener: UncaughtExceptionListener): this
- once(event: "unhandledRejection", listener: UnhandledRejectionListener): this
- once(event: "warning", listener: WarningListener): this
- once(event: "message", listener: MessageListener): this
- once(event: Signals, listener: SignalsListener): this
- once(event: "newListener", listener: NewListenerListener): this
- once(event: "removeListener", listener: RemoveListenerListener): this
- once(event: "multipleResolves", listener: MultipleResolveListener): this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/globals.d.ts:894

  #### Parameters

  - ##### event: "beforeExit"

  - ##### listener: BeforeExitListener

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/globals.d.ts:895

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: DisconnectListener

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/globals.d.ts:896

  #### Parameters

  - ##### event: "exit"

  - ##### listener: ExitListener

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/globals.d.ts:897

  #### Parameters

  - ##### event: "rejectionHandled"

  - ##### listener: RejectionHandledListener

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/globals.d.ts:898

  #### Parameters

  - ##### event: "uncaughtException"

  - ##### listener: UncaughtExceptionListener

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/globals.d.ts:899

  #### Parameters

  - ##### event: "unhandledRejection"

  - ##### listener: UnhandledRejectionListener

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/globals.d.ts:900

  #### Parameters

  - ##### event: "warning"

  - ##### listener: WarningListener

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/globals.d.ts:901

  #### Parameters

  - ##### event: "message"

  - ##### listener: MessageListener

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/globals.d.ts:902

  #### Parameters

  - ##### event: Signals

  - ##### listener: SignalsListener

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/globals.d.ts:903

  #### Parameters

  - ##### event: "newListener"

  - ##### listener: NewListenerListener

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/globals.d.ts:904

  #### Parameters

  - ##### event: "removeListener"

  - ##### listener: RemoveListenerListener

  #### Returns this

- Overrides EventEmitter.once

  - Defined in node_modules/@types/node/globals.d.ts:905

  #### Parameters

  - ##### event: "multipleResolves"

  - ##### listener: MultipleResolveListener

  #### Returns this

### openStdin

- openStdin(): Socket

- - Defined in node_modules/@types/node/globals.d.ts:747

  #### Returns Socket

### prependListener

- prependListener(event: "beforeExit", listener: BeforeExitListener): this
- prependListener(event: "disconnect", listener: DisconnectListener): this
- prependListener(event: "exit", listener: ExitListener): this
- prependListener(event: "rejectionHandled", listener: RejectionHandledListener): this
- prependListener(event: "uncaughtException", listener: UncaughtExceptionListener): this
- prependListener(event: "unhandledRejection", listener: UnhandledRejectionListener): this
- prependListener(event: "warning", listener: WarningListener): this
- prependListener(event: "message", listener: MessageListener): this
- prependListener(event: Signals, listener: SignalsListener): this
- prependListener(event: "newListener", listener: NewListenerListener): this
- prependListener(event: "removeListener", listener: RemoveListenerListener): this
- prependListener(event: "multipleResolves", listener: MultipleResolveListener): this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/globals.d.ts:907

  #### Parameters

  - ##### event: "beforeExit"

  - ##### listener: BeforeExitListener

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/globals.d.ts:908

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: DisconnectListener

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/globals.d.ts:909

  #### Parameters

  - ##### event: "exit"

  - ##### listener: ExitListener

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/globals.d.ts:910

  #### Parameters

  - ##### event: "rejectionHandled"

  - ##### listener: RejectionHandledListener

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/globals.d.ts:911

  #### Parameters

  - ##### event: "uncaughtException"

  - ##### listener: UncaughtExceptionListener

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/globals.d.ts:912

  #### Parameters

  - ##### event: "unhandledRejection"

  - ##### listener: UnhandledRejectionListener

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/globals.d.ts:913

  #### Parameters

  - ##### event: "warning"

  - ##### listener: WarningListener

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/globals.d.ts:914

  #### Parameters

  - ##### event: "message"

  - ##### listener: MessageListener

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/globals.d.ts:915

  #### Parameters

  - ##### event: Signals

  - ##### listener: SignalsListener

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/globals.d.ts:916

  #### Parameters

  - ##### event: "newListener"

  - ##### listener: NewListenerListener

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/globals.d.ts:917

  #### Parameters

  - ##### event: "removeListener"

  - ##### listener: RemoveListenerListener

  #### Returns this

- Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/globals.d.ts:918

  #### Parameters

  - ##### event: "multipleResolves"

  - ##### listener: MultipleResolveListener

  #### Returns this

### prependOnceListener

- prependOnceListener(event: "beforeExit", listener: BeforeExitListener): this
- prependOnceListener(event: "disconnect", listener: DisconnectListener): this
- prependOnceListener(event: "exit", listener: ExitListener): this
- prependOnceListener(event: "rejectionHandled", listener: RejectionHandledListener): this
- prependOnceListener(event: "uncaughtException", listener: UncaughtExceptionListener): this
- prependOnceListener(event: "unhandledRejection", listener: UnhandledRejectionListener): this
- prependOnceListener(event: "warning", listener: WarningListener): this
- prependOnceListener(event: "message", listener: MessageListener): this
- prependOnceListener(event: Signals, listener: SignalsListener): this
- prependOnceListener(event: "newListener", listener: NewListenerListener): this
- prependOnceListener(event: "removeListener", listener: RemoveListenerListener): this
- prependOnceListener(event: "multipleResolves", listener: MultipleResolveListener): this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/globals.d.ts:920

  #### Parameters

  - ##### event: "beforeExit"

  - ##### listener: BeforeExitListener

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/globals.d.ts:921

  #### Parameters

  - ##### event: "disconnect"

  - ##### listener: DisconnectListener

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/globals.d.ts:922

  #### Parameters

  - ##### event: "exit"

  - ##### listener: ExitListener

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/globals.d.ts:923

  #### Parameters

  - ##### event: "rejectionHandled"

  - ##### listener: RejectionHandledListener

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/globals.d.ts:924

  #### Parameters

  - ##### event: "uncaughtException"

  - ##### listener: UncaughtExceptionListener

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/globals.d.ts:925

  #### Parameters

  - ##### event: "unhandledRejection"

  - ##### listener: UnhandledRejectionListener

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/globals.d.ts:926

  #### Parameters

  - ##### event: "warning"

  - ##### listener: WarningListener

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/globals.d.ts:927

  #### Parameters

  - ##### event: "message"

  - ##### listener: MessageListener

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/globals.d.ts:928

  #### Parameters

  - ##### event: Signals

  - ##### listener: SignalsListener

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/globals.d.ts:929

  #### Parameters

  - ##### event: "newListener"

  - ##### listener: NewListenerListener

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/globals.d.ts:930

  #### Parameters

  - ##### event: "removeListener"

  - ##### listener: RemoveListenerListener

  #### Returns this

- Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/globals.d.ts:931

  #### Parameters

  - ##### event: "multipleResolves"

  - ##### listener: MultipleResolveListener

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  - Defined in node_modules/@types/node/globals.d.ts:588

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/globals.d.ts:584

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  - Defined in node_modules/@types/node/globals.d.ts:582

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### Optional send

- send(message: any, sendHandle?: any): void

- - Defined in node_modules/@types/node/globals.d.ts:830

  #### Parameters

  - ##### message: any

  - ##### Optional sendHandle: any

  #### Returns void

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/globals.d.ts:585

  #### Parameters

  - ##### n: number

  #### Returns this

### setUncaughtExceptionCaptureCallback

- setUncaughtExceptionCaptureCallback(cb: function | null): void

- - Defined in node_modules/@types/node/globals.d.ts:770

  #### Parameters

  - ##### cb: function | null

  #### Returns void

### setegid

- setegid(id: number | string): void

- - Defined in node_modules/@types/node/globals.d.ts:767

  #### Parameters

  - ##### id: number | string

  #### Returns void

### seteuid

- seteuid(id: number | string): void

- - Defined in node_modules/@types/node/globals.d.ts:765

  #### Parameters

  - ##### id: number | string

  #### Returns void

### setgid

- setgid(id: number | string): void

- - Defined in node_modules/@types/node/globals.d.ts:761

  #### Parameters

  - ##### id: number | string

  #### Returns void

### setgroups

- setgroups(groups: Array<string | number>): void

- - Defined in node_modules/@types/node/globals.d.ts:769

  #### Parameters

  - ##### groups: Array<string | number>

  #### Returns void

### setuid

- setuid(id: number | string): void

- - Defined in node_modules/@types/node/globals.d.ts:763

  #### Parameters

  - ##### id: number | string

  #### Returns void

### umask

- umask(mask?: undefined | number): number

- - Defined in node_modules/@types/node/globals.d.ts:824

  Can only be set if not in worker thread.

  #### Parameters

  - ##### Optional mask: undefined | number

  #### Returns number

### uptime

- uptime(): number

- - Defined in node_modules/@types/node/globals.d.ts:825

  #### Returns number

Generated using TypeDoc